List Tool Versions
curl --request GET \
--url https://api.agents.slng.ai/v1/agents/tools/{tool_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agents.slng.ai/v1/agents/tools/{tool_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agents.slng.ai/v1/agents/tools/{tool_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "2c3d4e5f-6071-4829-93a4-b5c6d7e8f901",
"tool_id": "7b2a1c34-5d6e-4f70-8a90-1b2c3d4e5f60",
"version_number": 3,
"content_hash": "3f1ab2c4d5e6f708",
"frozen_deps": [],
"published_at": "2026-08-20T10:15:30Z",
"snapshot_json": {
"name": "lookup_customer",
"description": "Look up a customer by id",
"tool_type": "api_request",
"argument_schema": {
"type": "object"
},
"argument_defaults": {},
"config": {
"type": "api_request",
"url": "https://api.example.com/lookup"
}
}
}
]{
"detail": "The tool is attached to an active agent.",
"error": {
"code": "TOOL_DELETE_BLOCKED",
"message": "The tool is attached to an active agent.",
"retryable": false
}
}{
"detail": "The tool is attached to an active agent.",
"error": {
"code": "TOOL_DELETE_BLOCKED",
"message": "The tool is attached to an active agent.",
"retryable": false
}
}{
"detail": "The tool is attached to an active agent.",
"error": {
"code": "TOOL_DELETE_BLOCKED",
"message": "The tool is attached to an active agent.",
"retryable": false
}
}{
"detail": "The tool is attached to an active agent.",
"error": {
"code": "TOOL_DELETE_BLOCKED",
"message": "The tool is attached to an active agent.",
"retryable": false
}
}{
"detail": "The tool is attached to an active agent.",
"error": {
"code": "TOOL_DELETE_BLOCKED",
"message": "The tool is attached to an active agent.",
"retryable": false
}
}{
"detail": "The tool is attached to an active agent.",
"error": {
"code": "TOOL_DELETE_BLOCKED",
"message": "The tool is attached to an active agent.",
"retryable": false
}
}API Reference
List Tool Versions
List the immutable published versions of a tool in ascending version order. Page with limit and offset.
GET
/
v1
/
agents
/
tools
/
{tool_id}
/
versions
List Tool Versions
Authorizations
Your SLNG consumer API key.
Path Parameters
The tool UUID. Curated tools are visible but read-only, and a tool owned by another organisation returns 404.
Query Parameters
Maximum number of items to return, from 1 to 200.
Required range:
1 <= x <= 200Number of items to skip before returning results.
Required range:
0 <= x <= 10000Response
The tool's published versions, in ascending version order. Paginated.
Published snapshot of a Custom Code tool.
- Custom Code
- API Request
- End Call
- Voicemail Detection
- Transfer Call
- Send SMS
- Current Date and Time
- User Phone Number
Show child attributes
Show child attributes
Example:
[
{
"id": "2c3d4e5f-6071-4829-93a4-b5c6d7e8f901",
"tool_id": "7b2a1c34-5d6e-4f70-8a90-1b2c3d4e5f60",
"version_number": 3,
"content_hash": "3f1ab2c4d5e6f708",
"frozen_deps": [],
"published_at": "2026-08-20T10:15:30Z",
"snapshot_json": {
"name": "lookup_customer",
"description": "Look up a customer by id",
"tool_type": "api_request",
"argument_schema": { "type": "object" },
"argument_defaults": {},
"config": {
"type": "api_request",
"url": "https://api.example.com/lookup"
}
}
}
]